.. Copyright (C) 2001-2023 Artifex Software, Inc.
.. All Rights Reserved.


.. default-domain:: js

.. _mutool_object_display_list_device:


.. _mutool_run_js_api_display_list_device:


`DisplayListDevice`
--------------------------------------------------------



.. method:: new DisplayListDevice(displayList)

    *Constructor method*.

    Create a device for recording onto a display list.

    :arg displayList: `DisplayList`.

    :return: `DisplayListDevice`.

    **Example**

    .. code-block:: javascript

        var displayListDevice = new DisplayListDevice(my_display_list);
